---
updatedAt: 2026-07-22T09:35:36.000Z
agentTools:
  projectIndex: https://docs.moneyhubenterprise.com/llms.txt
---

# Retrieve a scim user. This type of user holds personally identifiable information

Requires **scim_user:read** scope.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Swagger 2.0 docs for the authentication/authorization Moneyhub API",
    "title": "Moneyhub Identity Service",
    "version": "2.0.0"
  },
  "security": [
    {
      "Bearer": []
    }
  ],
  "paths": {
    "/scim/users/search": {
      "post": {
        "summary": "Retrieve a scim user. This type of user holds personally identifiable information",
        "description": "Requires **scim_user:read** scope.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ScimUserSearch"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful User Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ScimUser"
                }
              }
            }
          },
          "400": {
            "description": "Unsuccessful Response - Bad request - Missing query parameters - Missing body properties",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unsuccessful Response - Not authorised - Missing authorization header - Invalid access Token",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Unsuccessful Response - Forbidden - Invalid scopes",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Unsuccessful Response - Not Found - User not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "tags": [
          "scim"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://identity.moneyhub.co.uk"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "ScimUser": {
        "type": "object",
        "additionalProperties": false,
        "example": {
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:User"
          ],
          "id": "66b1d7bfb9e65500465bed70",
          "externalId": "a1b2c3d4-e5f6-7a8b-9cb0-1d2e3f4g5h6i",
          "meta": {
            "resourceType": "User",
            "created": "2024-08-06T07:58:55.000Z"
          },
          "name": {
            "givenName": "Andrea",
            "familyName": "Hedley"
          },
          "emails": [
            {
              "value": "andrea.hedley@moneyhub.com",
              "primary": true
            }
          ],
          "userType": "live"
        },
        "properties": {
          "schemas": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "urn:ietf:params:scim:schemas:core:2.0:User"
              ]
            },
            "minItems": 1,
            "maxItems": 1
          },
          "id": {
            "type": "string",
            "description": "The unique identifier for a User.",
            "pattern": "^[0-9a-f]{24}$"
          },
          "externalId": {
            "description": "A String that is an identifier for the resource as defined by the provisioning client.",
            "type": "string",
            "maxLength": 128,
            "minLength": 1
          },
          "meta": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "resourceType": {
                "type": "string",
                "description": "The name of the resource type of the resource.",
                "enum": [
                  "User"
                ]
              },
              "created": {
                "type": "string",
                "description": "The date and time the resource was created.",
                "format": "date-time"
              }
            },
            "required": [
              "resourceType",
              "created"
            ]
          },
          "name": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "familyName": {
                "description": "The given name or first name of the User",
                "type": "string",
                "minLength": 1,
                "maxLength": 80
              },
              "givenName": {
                "description": "The family name or last name of the User",
                "type": "string",
                "minLength": 1,
                "maxLength": 80
              }
            },
            "required": [
              "familyName",
              "givenName"
            ]
          },
          "emails": {
            "type": "array",
            "minItems": 1,
            "maxItems": 1,
            "items": {
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "value": {
                  "description": "The email address",
                  "type": "string",
                  "format": "email",
                  "maxLength": 254
                },
                "primary": {
                  "description": "Indicates the primary email address. The primary attribute value 'true' MUST appear no more than once.",
                  "type": "boolean"
                }
              },
              "required": [
                "value",
                "primary"
              ]
            }
          },
          "userType": {
            "description": "The user type",
            "type": "string",
            "maxLength": 128,
            "minLength": 1,
            "enum": [
              "live",
              "guest"
            ]
          }
        },
        "required": [
          "schemas",
          "id",
          "externalId",
          "name",
          "emails",
          "meta"
        ]
      },
      "ScimUserSearch": {
        "type": "object",
        "additionalProperties": false,
        "example": {
          "externalId": "a1b2c3d4-e5f6-7a8b-9cb0-1d2e3f4g5h6i",
          "email": "andrea.hedley@moneyhub.com"
        },
        "properties": {
          "externalId": {
            "description": "A String that is an identifier for the resource as defined by the provisioning client.",
            "type": "string",
            "maxLength": 128,
            "minLength": 1
          },
          "email": {
            "description": "The email address",
            "type": "string",
            "format": "email",
            "maxLength": 254
          }
        },
        "required": [
          "externalId",
          "email"
        ]
      },
      "Error": {
        "additionalProperties": false,
        "properties": {
          "code": {
            "description": "The error code",
            "type": "string"
          },
          "message": {
            "description": "The error message",
            "type": "string"
          },
          "correlationId": {
            "description": "Id that identifies the request and can be used to ask for more details related to the error",
            "type": "string"
          }
        },
        "required": [
          "code"
        ],
        "type": "object"
      }
    }
  }
}
```